## kdeconnect 0.5.1

=== CMakeLists.txt ===
project(kdeconnect)

cmake_minimum_required(VERSION 2.6)

find_package(KDE4 REQUIRED)

#if(CMAKE_COMPILER_IS_GNUCXX)
#    add_definitions(-std=gnu++0x)
#endif()

include(KDE4Defaults)
include_directories(${KDE4_INCLUDES})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(kded)
add_subdirectory(libkdeconnect)
add_subdirectory(kcm)
#add_subdirectory(kio)
add_subdirectory(plasmoid)
add_subdirectory(icon)

add_subdirectory(tests)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== kcm/CMakeLists.txt ===

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_SOURCE_DIR}
                    ${CMAKE_BINARY_DIR})

set(kcm_SRCS
    kcm.cpp
    devicessortproxymodel.cpp
    kdebugnamespace.cpp
)

kde4_add_ui_files(kcm_SRCS kcm.ui)

kde4_add_plugin(kcm_kdeconnect ${kcm_SRCS})

add_dependencies(kcm_kdeconnect libkdeconnect)

target_link_libraries(kcm_kdeconnect
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${KDE4_KDEUI_LIBRARY}
    ${KDE4_KCMUTILS_LIBS}
    kdeconnect
)

install(TARGETS kcm_kdeconnect DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kcm_kdeconnect.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES kdeconnect.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== kded/CMakeLists.txt ===
add_subdirectory(plugins)
add_subdirectory(autotests)

find_package (QJSON 0.8.1 REQUIRED)
find_package (QCA2 REQUIRED)

include_directories(
    ${KDE4_KIO_LIBS}
    ${QJSON_INCLUDE_DIR}
    ${QCA2_INCLUDE_DIR}
)

add_subdirectory(backends/lan)
add_subdirectory(backends/loopback)

set(kded_kdeconnect_SRCS
    ${kded_kdeconnect_SRCS}

    backends/linkprovider.cpp
    backends/devicelink.cpp

    plugins/kdeconnectplugin.cpp
    plugins/pluginloader.cpp

    networkpackage.cpp
    filetransferjob.cpp
    daemon.cpp
    device.cpp
    kdebugnamespace.cpp
)

kde4_add_executable(kdeconnectd kdeconnectd.cpp ${kded_kdeconnect_SRCS})

target_link_libraries(kdeconnectd
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${QJSON_LIBRARIES}
    ${QCA2_LIBRARIES}
)

kde4_add_plugin(kded_kdeconnect kded.cpp ${kded_kdeconnect_SRCS})

target_link_libraries(kded_kdeconnect
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${QJSON_LIBRARIES}
    ${QCA2_LIBRARIES}
)

include(../macros.cmake)

generate_and_install_dbus_interface(
    kdeconnectd
    daemon.h
    org.kde.kdeconnect.daemon.xml
    OPTIONS -a
)

generate_and_install_dbus_interface(
    kdeconnectd
    device.h
    org.kde.kdeconnect.device.xml
    OPTIONS -a
)

generate_and_install_dbus_interface(
    kded_kdeconnect
    kded.h
    org.kde.kded.kdeconnect.xml
    OPTIONS -a
)

install(TARGETS kdeconnectd DESTINATION ${LIBEXEC_INSTALL_DIR})
install(TARGETS kded_kdeconnect DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kdeconnect.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)
install(FILES kdeconnect.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kdeconnect)

if(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
 
	set(kdeconnect_standalone_SRCS
		${kded_kdeconnect_SRCS}
		main.cpp
	)
	kde4_add_executable(kdeconnect_standalone ${kdeconnect_standalone_SRCS})
	target_link_libraries(kdeconnect_standalone
		${KDE4_KDECORE_LIBS}
		${KDE4_KDEUI_LIBS}
		${KDE4_KIO_LIBS}
		${QT_QTNETWORK_LIBRARY}
		${QJSON_LIBRARIES}
		${QCA2_LIBRARIES}
	)
	install(TARGETS kdeconnect_standalone ${INSTALL_TARGETS_DEFAULT_ARGS})
 
 endif()

=== plasmoid/CMakeLists.txt ===

add_subdirectory(declarativeplugin)

install(DIRECTORY package/
        DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/kdeconnect)

install(FILES package/metadata.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}
        RENAME plasma-kdeconnect.desktop)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(lt)
add_subdirectory(pt)
add_subdirectory(hu)
add_subdirectory(de)
add_subdirectory(es)
add_subdirectory(ru)
add_subdirectory(uk)
add_subdirectory(fi)
add_subdirectory(gl)
add_subdirectory(nl)
add_subdirectory(sk)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(ro)
add_subdirectory(it)
add_subdirectory(fr)
add_subdirectory(pt_BR)
add_subdirectory(sv)
add_subdirectory(bs)

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include(KDE4Defaults)

find_package(KDE4 REQUIRED)
find_package(QJSON 0.8.1 REQUIRED)
find_package(QCA2 REQUIRED)

include_directories(
    ${QJSON_INCLUDE_DIR}
    ${QCA2_INCLUDE_DIR}
    ${KDE4_INCLUDES}
    ${CMAKE_SOURCE_DIR}
)

set(kdeconnect_libraries
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
	${KDE4_KIO_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${QJSON_LIBRARIES}
    ${QCA2_LIBRARIES}
    ${QT_QTTEST_LIBRARY}
)

#NetworkPackage
kde4_add_unit_test(kdeconnect_tests ../kded/networkpackage.cpp ../kded/kdebugnamespace.cpp ../kded/filetransferjob.cpp networkpackagetests.cpp)
target_link_libraries(kdeconnect_tests ${kdeconnect_libraries})

=== kded/autotests/CMakeLists.txt ===
set(_testname testsocketlinereader)
qt4_generate_moc(${_testname}.cpp ${CMAKE_CURRENT_BINARY_DIR}/${_testname}.moc)
include_directories(${QT_INCLUDES} ${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})
kde4_add_unit_test(${_testname} ${_testname}.cpp ${_testname}.moc ../backends/lan/socketlinereader.cpp ../kdebugnamespace.cpp)
target_link_libraries(${_testname} ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY})

=== kded/plugins/CMakeLists.txt ===

install(FILES kdeconnect_plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

add_subdirectory(ping)
add_subdirectory(pausemusic)
add_subdirectory(mpriscontrol)
add_subdirectory(clipboard)
add_subdirectory(telephony)
add_subdirectory(battery)
add_subdirectory(share)
add_subdirectory(notifications)
add_subdirectory(sftp)

=== kded/plugins/clipboard/CMakeLists.txt ===
find_package(KDE4 REQUIRED)
find_package(QJSON REQUIRED)
find_package(QCA2 REQUIRED)

include(KDE4Defaults)

include_directories(
    ${QJSON_INCLUDE_DIR}
    ${QCA2_INCLUDE_DIR}
    ${KDE4_INCLUDES}
    ${CMAKE_SOURCE_DIR}
)

set(kdeconnect_clipboard_SRCS
    clipboardplugin.cpp
    ../kdeconnectplugin.cpp
    ../pluginloader.cpp
    ../../networkpackage.cpp
    ../../filetransferjob.cpp
    ../../device.cpp
    ../../kdebugnamespace.cpp
)

kde4_add_plugin(kdeconnect_clipboard ${kdeconnect_clipboard_SRCS})

target_link_libraries(kdeconnect_clipboard
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${QJSON_LIBRARIES}
    ${QCA2_LIBRARIES}
)

install(TARGETS kdeconnect_clipboard DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_clipboard.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== kded/plugins/notifications/CMakeLists.txt ===
find_package(KDE4 REQUIRED)
find_package(QJSON REQUIRED)
find_package(QCA2 REQUIRED)

include(KDE4Defaults)

include_directories(
    ${QJSON_INCLUDE_DIR}
    ${QCA2_INCLUDE_DIR}
    ${KDE4_INCLUDES}
    ${CMAKE_SOURCE_DIR}
)

set(kdeconnect_notifications_SRCS
    notification.cpp
    notificationsplugin.cpp
    notificationsdbusinterface.cpp
    ../kdeconnectplugin.cpp
    ../pluginloader.cpp
    ../../networkpackage.cpp
    ../../filetransferjob.cpp
    ../../device.cpp
    ../../kdebugnamespace.cpp
)

kde4_add_plugin(kdeconnect_notifications ${kdeconnect_notifications_SRCS})

target_link_libraries(kdeconnect_notifications
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${QJSON_LIBRARIES}
    ${QCA2_LIBRARIES}
)

install(TARGETS kdeconnect_notifications DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_notifications.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

include(../../../macros.cmake)
generate_and_install_dbus_interface(
    kdeconnect_notifications
    notificationsdbusinterface.h
    org.kde.kdeconnect.device.notifications.xml
    OPTIONS -a
)
generate_and_install_dbus_interface(
    kdeconnect_notifications
    notification.h
    org.kde.kdeconnect.device.notifications.notification.xml
    OPTIONS -a
)

=== kded/plugins/pausemusic/CMakeLists.txt ===
find_package(KDE4 REQUIRED)
find_package(QJSON REQUIRED)
find_package(QCA2 REQUIRED)

include(KDE4Defaults)

include_directories(
    ${QJSON_INCLUDE_DIR}
    ${QCA2_INCLUDE_DIR}
    ${KDE4_INCLUDES}
    ${CMAKE_SOURCE_DIR}
)

set(kdeconnect_pausemusic_SRCS
    pausemusicplugin.cpp
    ../kdeconnectplugin.cpp
    ../../kdebugnamespace.cpp
)

kde4_add_plugin(kdeconnect_pausemusic ${kdeconnect_pausemusic_SRCS})

target_link_libraries(kdeconnect_pausemusic
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${QJSON_LIBRARIES}
    ${QCA2_LIBRARIES}
)

install(TARGETS kdeconnect_pausemusic DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_pausemusic.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


#######################################
# Config

set( kdeconnect_pausemusic_config_SRCS pausemusic_config.cpp )
kde4_add_ui_files( kdeconnect_pausemusic_config_SRCS pausemusic_config.ui )

kde4_add_plugin( kdeconnect_pausemusic_config ${kdeconnect_pausemusic_config_SRCS} )
target_link_libraries( kdeconnect_pausemusic_config
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
)

install( TARGETS kdeconnect_pausemusic_config DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kdeconnect_pausemusic_config.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== kded/plugins/sftp/CMakeLists.txt ===
find_package(KDE4 REQUIRED)
find_package(QJSON REQUIRED)
find_package(QCA2 REQUIRED)

include(KDE4Defaults)

include_directories(
    ${QJSON_INCLUDE_DIR}
    ${QCA2_INCLUDE_DIR}
    ${KDE4_INCLUDES}
    ${CMAKE_SOURCE_DIR}
)

set(kdeconnect_sftp_SRCS
    mounter.cpp
    mountloop.cpp
    sftpplugin.cpp
    ../kdeconnectplugin.cpp
    ../pluginloader.cpp
    ../../networkpackage.cpp
    ../../filetransferjob.cpp
    ../../device.cpp
    ../../kdebugnamespace.cpp
)

kde4_add_plugin(kdeconnect_sftp ${kdeconnect_sftp_SRCS})

target_link_libraries(kdeconnect_sftp
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KFILE_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${QJSON_LIBRARIES}
    ${QCA2_LIBRARIES}
)

#install(TARGETS kdeconnect_sftp DESTINATION ${PLUGIN_INSTALL_DIR} )
#install(FILES kdeconnect_sftp.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

include(../../../macros.cmake)

generate_and_install_dbus_interface(
    kdeconnect_sftp
    sftpplugin.h
    org.kde.kdeconnect.device.sftp.xml
    OPTIONS -a
)

#######################################
# Config

set( kdeconnect_sftp_config_SRCS sftp_config.cpp )
kde4_add_ui_files( kdeconnect_sftp_config_SRCS sftp_config.ui )

kde4_add_plugin( kdeconnect_sftp_config ${kdeconnect_sftp_config_SRCS} )
target_link_libraries( kdeconnect_sftp_config
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
)

#install(TARGETS kdeconnect_sftp_config DESTINATION ${PLUGIN_INSTALL_DIR} )
#install(FILES kdeconnect_sftp_config.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

## kdeconnect 0.4.2

=== debian/changelog ===
kdeconnect (0.4.2-2) unstable; urgency=low

  * Add libqca2-plugin-gnupg and libqca2-plugin-ossl runtime depends.
    (Closes: #735850)

 -- David Suárez <david.sephirot@gmail.com>  Mon, 27 Jan 2014 19:56:34 +0100

kdeconnect (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #734374)

 -- David Suárez <david.sephirot@gmail.com>  Sun, 12 Jan 2014 02:14:23 +0100

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: David Suárez <david.sephirot@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               kdelibs5-dev,
               libqca2-dev,
               libqca2-plugin-ossl,
               libqjson-dev,
               pkg-kde-tools
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/playground/base/kdeconnect-kde
Vcs-Git: git://github.com/deiv/kdeconnect-pkg.git
Vcs-Browser: https://github.com/deiv/kdeconnect-pkg

Package: kdeconnect
Architecture: any
Depends: libqca2,
         libqca2-plugin-gnupg,
         libqca2-plugin-ossl,
         ${misc:Depends},
         ${shlibs:Depends}
Description: connect smartphones to your KDE Plasma Workspace
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# hardening options stuff
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
# workaround for hardening on cmake
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

%:
	dh $@ --with kde

override_dh_auto_install:
	dh_auto_install
	# remove '-dev' related files
	rm debian/kdeconnect/usr/lib/libkdeconnect.so

## kdeconnect 0.5.1

=== debian/changelog ===
kdeconnect (0.5.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 04 Apr 2014 15:16:04 +0200

kdeconnect (0.5-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Refresh patches

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 19 Feb 2014 21:55:40 +0100

kdeconnect (0.4.2-2ubuntu2) trusty; urgency=medium

  * Add a transitional package for kdeconnect-kde

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 13 Feb 2014 20:42:00 +0100

kdeconnect (0.4.2-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Disable tests.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 13 Feb 2014 00:39:05 +0100

kdeconnect (0.4.2-1ubuntu1) trusty; urgency=medium

  * Disable tests

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 22 Jan 2014 14:48:01 +0100

## kdeconnect 0.5.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
 #add_subdirectory(kio)
 add_subdirectory(plasmoid)
 add_subdirectory(icon)
+#add_subdirectory(cli)
 
 add_subdirectory(tests)

=== cli/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR})

add_executable(kdeconnect-cli kdeconnect-cli.cpp)

target_link_libraries(kdeconnect-cli kdeconnect ${QT_QTGUI_LIBRARY} ${KDE4_KDEUI_LIBS})

install(TARGETS kdeconnect-cli ${INSTALL_TARGETS_DEFAULT_ARGS})

=== icon/CMakeLists.txt ===

kde4_install_icons(${ICON_INSTALL_DIR})

=== kio/CMakeLists.txt ===
set(kio_kdeconnect_PART_SRCS
   kiokdeconnect.cpp
   kdebugnamespace.cpp)

kde4_add_plugin(kio_kdeconnect ${kio_kdeconnect_PART_SRCS})

add_dependencies(kio_kdeconnect libkdeconnect)

target_link_libraries(kio_kdeconnect
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KIO_LIBRARY}
    ${KDE4_KDEUI_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    kdeconnect
)

########### install files ###############
install(TARGETS kio_kdeconnect DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kdeconnect.protocol DESTINATION ${SERVICES_INSTALL_DIR})

=== libkdeconnect/CMakeLists.txt ===
set(likdeconnect_VERSION_MAJOR 1)
set(likdeconnect_VERSION_MINOR 0)
set(likdeconnect_VERSION_RELEASE 1)
set(likdeconnect_VERSION "${likdeconnect_VERSION_MAJOR}.${likdeconnect_VERSION_MINOR}.${likdeconnect_VERSION_RELEASE}")

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_BINARY_DIR}
                    ${CMAKE_SOURCE_DIR})

set(libkdeconnect_SRC
    dbusinterfaces.cpp
    devicesmodel.cpp
    notificationsmodel.cpp
    modeltest.cpp
    kdebugnamespace.cpp
)

set_source_files_properties(
    ${CMAKE_BINARY_DIR}/kded/org.kde.kdeconnect.daemon.xml
    ${CMAKE_BINARY_DIR}/kded/org.kde.kdeconnect.device.xml
    ${CMAKE_BINARY_DIR}/kded/plugins/battery/org.kde.kdeconnect.device.battery.xml
    ${CMAKE_BINARY_DIR}/kded/plugins/sftp/org.kde.kdeconnect.device.sftp.xml
    ${CMAKE_BINARY_DIR}/kded/plugins/notifications/org.kde.kdeconnect.device.notifications.xml
    ${CMAKE_BINARY_DIR}/kded/plugins/notifications/org.kde.kdeconnect.device.notifications.notification.xml
    PROPERTIES NO_NAMESPACE true
)
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/kded/org.kde.kdeconnect.daemon.xml daemoninterface)
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/kded/org.kde.kdeconnect.device.xml deviceinterface)
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/kded/plugins/battery/org.kde.kdeconnect.device.battery.xml devicebatteryinterface )
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/kded/plugins/sftp/org.kde.kdeconnect.device.sftp.xml devicesftpinterface )
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/kded/plugins/notifications/org.kde.kdeconnect.device.notifications.xml devicenotificationsinterface )
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/kded/plugins/notifications/org.kde.kdeconnect.device.notifications.notification.xml notificationinterface  )

kde4_add_library(kdeconnect SHARED ${libkdeconnect_SRC})
set_target_properties(kdeconnect PROPERTIES
    VERSION ${likdeconnect_VERSION}
    SOVERSION ${likdeconnect_VERSION_MAJOR}
)

add_dependencies(kdeconnect
        org.kde.kdeconnect.daemon.xml
        org.kde.kdeconnect.device.xml
        org.kde.kdeconnect.device.battery.xml
        org.kde.kdeconnect.device.sftp.xml
        org.kde.kdeconnect.device.notifications.xml
        org.kde.kdeconnect.device.notifications.notification.xml
)

target_link_libraries(kdeconnect
    ${KDE4_KDEUI_LIBS}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${QJSON_LIBRARIES}
)

install(TARGETS kdeconnect EXPORT kdeconnectLibraryTargets  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,10 @@
 add_subdirectory(pt)
 add_subdirectory(hu)
 add_subdirectory(de)
+add_subdirectory(ja)
+add_subdirectory(ko)
 add_subdirectory(es)
+add_subdirectory(pl)
 add_subdirectory(ru)
 add_subdirectory(uk)
 add_subdirectory(fi)
@@ -25,6 +28,7 @@
 add_subdirectory(cs)
 add_subdirectory(da)
 add_subdirectory(ro)
+add_subdirectory(tr)
 add_subdirectory(it)
 add_subdirectory(fr)
 add_subdirectory(pt_BR)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -27,3 +27,9 @@
 kde4_add_unit_test(kdeconnect_tests ../kded/networkpackage.cpp ../kded/kdebugnamespace.cpp ../kded/filetransferjob.cpp networkpackagetests.cpp)
 target_link_libraries(kdeconnect_tests ${kdeconnect_libraries})
 
+#Socketlinereader
+set(_testname testsocketlinereader)
+qt4_generate_moc(${_testname}.cpp ${CMAKE_CURRENT_BINARY_DIR}/${_testname}.moc)
+include_directories(${QT_INCLUDES} ${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})
+kde4_add_unit_test(${_testname} ${_testname}.cpp ${_testname}.moc ../kded/backends/lan/socketlinereader.cpp ../kded/kdebugnamespace.cpp)
+target_link_libraries(${_testname} ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY})

=== plasmoid/declarativeplugin/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_SOURCE_DIR}
                    ${CMAKE_BINARY_DIR})

set(kdeconnectdeclarativeplugin_SRC
    kdeconnectdeclarativeplugin.cpp
    responsewaiter.cpp
)

set(kdeconnectdeclarativeplugin_MOC
  objectfactory.h
)

qt4_wrap_cpp(kdeconnectdeclarativeplugin_SRC ${kdeconnectdeclarativeplugin_MOC})    

kde4_add_library(kdeconnectdeclarativeplugin SHARED ${kdeconnectdeclarativeplugin_SRC})
add_dependencies(kdeconnectdeclarativeplugin libkdeconnect)
target_link_libraries(kdeconnectdeclarativeplugin
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDECORE_LIBS}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTDECLARATIVE_LIBRARY}
    kdeconnect
)
install(TARGETS kdeconnectdeclarativeplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/kdeconnect)
install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/kdeconnect)

=== po/tr/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(tr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== kded/plugins/battery/CMakeLists.txt ===
find_package(KDE4 REQUIRED)
find_package(QJSON REQUIRED)
find_package(QCA2 REQUIRED)

include(KDE4Defaults)

include_directories(
    ${QJSON_INCLUDE_DIR}
    ${QCA2_INCLUDE_DIR}
    ${KDE4_INCLUDES}
    ${CMAKE_SOURCE_DIR}
)

set(kdeconnect_battery_SRCS
    batteryplugin.cpp
    batterydbusinterface.cpp
    ../kdeconnectplugin.cpp
    ../pluginloader.cpp
    ../../networkpackage.cpp
    ../../filetransferjob.cpp
    ../../device.cpp
    ../../kdebugnamespace.cpp
)

kde4_add_plugin(kdeconnect_battery ${kdeconnect_battery_SRCS})

target_link_libraries(kdeconnect_battery
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${QJSON_LIBRARIES}
    ${QCA2_LIBRARIES}
)

install(TARGETS kdeconnect_battery DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_battery.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

include(../../../macros.cmake)

generate_and_install_dbus_interface(
    kdeconnect_battery
    batterydbusinterface.h
    org.kde.kdeconnect.device.battery.xml
    OPTIONS -a
)

=== kded/plugins/mpriscontrol/CMakeLists.txt ===
find_package(KDE4 REQUIRED)
find_package(QJSON REQUIRED)
find_package(QCA2 REQUIRED)

include(KDE4Defaults)

include_directories(
    ${QJSON_INCLUDE_DIR}
    ${QCA2_INCLUDE_DIR}
    ${KDE4_INCLUDES}
    ${CMAKE_SOURCE_DIR}
)

set(kdeconnect_mpriscontrol_SRCS
    mpriscontrolplugin.cpp
    ../kdeconnectplugin.cpp
    ../pluginloader.cpp
    ../../networkpackage.cpp
    ../../filetransferjob.cpp
    ../../device.cpp
    ../../kdebugnamespace.cpp
)

qt4_add_dbus_interface(
   kdeconnect_mpriscontrol_SRCS
   mprisdbusinterface.xml
   mprisdbusinterface
)

qt4_add_dbus_interface(
   kdeconnect_mpriscontrol_SRCS
   propertiesInterface.xml
   propertiesdbusinterface
)

kde4_add_plugin(kdeconnect_mpriscontrol ${kdeconnect_mpriscontrol_SRCS})

target_link_libraries(kdeconnect_mpriscontrol
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${QJSON_LIBRARIES}
    ${QCA2_LIBRARIES}
)

install(TARGETS kdeconnect_mpriscontrol DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_mpriscontrol.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== kded/plugins/ping/CMakeLists.txt ===
find_package(KDE4 REQUIRED)
find_package(QJSON REQUIRED)
find_package(QCA2 REQUIRED)

include(KDE4Defaults)

include_directories(
    ${QJSON_INCLUDE_DIR}
    ${QCA2_INCLUDE_DIR}
    ${KDE4_INCLUDES}
    ${CMAKE_SOURCE_DIR}
)

set(kdeconnect_ping_SRCS
    pingplugin.cpp
    ../kdeconnectplugin.cpp
    ../../kdebugnamespace.cpp
)

kde4_add_plugin(kdeconnect_ping ${kdeconnect_ping_SRCS})

target_link_libraries(kdeconnect_ping
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${QJSON_LIBRARIES}
    ${QCA2_LIBRARIES}
)

install(TARGETS kdeconnect_ping DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_ping.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kdeconnect (0.5.2.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream release (LP: #1319365)
  * Drop remove-xdg-open-shebang

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 15 May 2014 12:27:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kdeconnect
 Section: kde
 Priority: optional
-Maintainer: David Suárez <david.sephirot@gmail.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainer: David Suárez <david.sephirot@gmail.com>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
                kdelibs5-dev,
@@ -21,8 +22,20 @@
          libqca2-plugin-ossl,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: kdeconnect-kde (<< 0.4.2-2ubuntu2), libkdeconnect1 (<< 0.4.2-2ubuntu2)
+Replaces: kdeconnect-kde (<< 0.4.2-2ubuntu2), libkdeconnect1 (<< 0.4.2-2ubuntu2)
 Description: connect smartphones to your KDE Plasma Workspace
  Tool to integrate the KDE Plasma Workspace with your smartphones and
  similar devices.
  It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
  At the  moment it only supports Android based devices.
+
+## This transitional package can be dropped post 14.04
+
+Package: kdeconnect-kde
+Architecture: all
+Priority: extra
+Section: oldlibs
+Depends: kdeconnect, ${misc:Depends}
+Description: transitional package for kdeconnect-kde
+ This is a transitional package for kdeconnect-kde. It can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	# remove '-dev' related files
-	rm debian/kdeconnect/usr/lib/libkdeconnect.so
+	rm debian/tmp/usr/lib/libkdeconnect.so
+
+.PHONY: override_dh_auto_test

## kdeconnect 0.7

=== debian/changelog ===
kdeconnect (0.7-1) unstable; urgency=medium

  * New upstream version. (Closes: #753391)
  * Add 'provide-versioned-so-for-kdeconnectcore' patch.
  * Update lintian overrides.
  * debian/rules: remove more development files in order to avoid
      shipping them.
  * debian/control: add libxtst-dev as a build dependency.

 -- David Suárez <david.sephirot@gmail.com>  Tue, 01 Jul 2014 18:11:53 +0200

kdeconnect (0.5.2.1-1) unstable; urgency=low

  * New upstream version
  * Drop 'remove-xdg-open-shebang' patch
  * Point Vcs headers to debian git repository
  * Update copyright file

 -- David Suárez <david.sephirot@gmail.com>  Sun, 18 May 2014 15:50:33 +0200

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: David Suárez <david.sephirot@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               kdelibs5-dev,
               libqca2-dev,
               libqca2-plugin-ossl,
               libqjson-dev,
               libxtst-dev,
               pkg-kde-tools
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/playground/base/kdeconnect-kde
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kdeconnect.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kdeconnect.git;a=summary

Package: kdeconnect
Architecture: any
Depends: libqca2,
         libqca2-plugin-gnupg,
         libqca2-plugin-ossl,
         ${misc:Depends},
         ${shlibs:Depends}
Description: connect smartphones to your KDE Plasma Workspace
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.

## kdeconnect 0.7.1

=== core/CMakeLists.txt ===
project(KDEConnectCore)

include_directories(
    ${KDE4_KIO_LIBS}
    ${QJSON_INCLUDE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QCA2_INCLUDE_DIR}
)

add_subdirectory(backends/lan)
add_subdirectory(backends/loopback)

set(kded_kdeconnect_SRCS
    ${kded_kdeconnect_SRCS}

    backends/linkprovider.cpp
    backends/devicelink.cpp

    kdeconnectplugin.cpp
    pluginloader.cpp

    networkpackage.cpp
    filetransferjob.cpp
    daemon.cpp
    device.cpp
    kdebugnamespace.cpp
)

kde4_add_library(kdeconnectcore SHARED ${kded_kdeconnect_SRCS})
target_link_libraries(kdeconnectcore
LINK_PUBLIC
    ${KDE4_KDECORE_LIBS}
LINK_PRIVATE
    ${KDE4_KIO_LIBS}
    ${QJSON_LIBRARIES}
    ${QT_QTNETWORK_LIBRARY}
    ${QCA2_LIBRARIES}
)
target_include_directories(kdeconnectcore PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
generate_export_header(kdeconnectcore EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectcore_export.h BASE_NAME KDEConnectCore)

include(macros)

generate_and_install_dbus_interface(
    kdeconnectcore
    ../core/daemon.h
    org.kde.kdeconnect.daemon.xml
    OPTIONS -a
)

generate_and_install_dbus_interface(
    kdeconnectcore
    ../core/device.h
    org.kde.kdeconnect.device.xml
    OPTIONS -a
)

install(TARGETS kdeconnectcore EXPORT kdeconnectLibraryTargets  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== interfaces/CMakeLists.txt ===
set(KDECONNECT_VERSION_MAJOR 1)
set(KDECONNECT_VERSION_MINOR 0)
set(KDECONNECT_VERSION_PATCH 1)
set(KDECONNECT_VERSION "${KDECONNECT_VERSION_MAJOR}.${KDECONNECT_VERSION_MINOR}.${KDECONNECT_VERSION_PATCH}")

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_BINARY_DIR}
                    ${CMAKE_SOURCE_DIR})

add_definitions(-DKDECONNECT_LIBRARY)

set(libkdeconnect_SRC
    dbusinterfaces.cpp
    devicesmodel.cpp
    notificationsmodel.cpp
    modeltest.cpp
    kdebugnamespace.cpp
)

set(libkdeconnect_public_HEADERS
    KDEConnect/DevicesModel
    KDEConnect/NotificationsModel
)

set(libkdeconnect_HEADERS
    devicesmodel.h
    notificationsmodel.h
    dbusinterfaces.h
    ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectinterfaces_export.h
    ${CMAKE_BINARY_DIR}/interfaces/daemoninterface.h
    ${CMAKE_BINARY_DIR}/interfaces/deviceinterface.h
    ${CMAKE_BINARY_DIR}/interfaces/devicebatteryinterface.h
    ${CMAKE_BINARY_DIR}/interfaces/devicesftpinterface.h
    ${CMAKE_BINARY_DIR}/interfaces/devicenotificationsinterface.h
    ${CMAKE_BINARY_DIR}/interfaces/notificationinterface.h
)

set_source_files_properties(
    ${CMAKE_BINARY_DIR}/core/org.kde.kdeconnect.daemon.xml
    ${CMAKE_BINARY_DIR}/core/org.kde.kdeconnect.device.xml
    ${CMAKE_BINARY_DIR}/plugins/battery/org.kde.kdeconnect.device.battery.xml
    ${CMAKE_BINARY_DIR}/plugins/sftp/org.kde.kdeconnect.device.sftp.xml
    ${CMAKE_BINARY_DIR}/plugins/notifications/org.kde.kdeconnect.device.notifications.xml
    ${CMAKE_BINARY_DIR}/plugins/notifications/org.kde.kdeconnect.device.notifications.notification.xml
    PROPERTIES NO_NAMESPACE true
)
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/core/org.kde.kdeconnect.daemon.xml daemoninterface)
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/core/org.kde.kdeconnect.device.xml deviceinterface)
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/plugins/battery/org.kde.kdeconnect.device.battery.xml devicebatteryinterface )
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/plugins/sftp/org.kde.kdeconnect.device.sftp.xml devicesftpinterface )
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/plugins/notifications/org.kde.kdeconnect.device.notifications.xml devicenotificationsinterface )
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/plugins/notifications/org.kde.kdeconnect.device.notifications.notification.xml notificationinterface  )

kde4_add_library(kdeconnectinterfaces SHARED ${libkdeconnect_SRC})
set_target_properties(kdeconnectinterfaces PROPERTIES
    VERSION ${KDECONNECT_VERSION}
    SOVERSION ${KDECONNECT_VERSION_MAJOR}
)

generate_export_header(kdeconnectinterfaces EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectinterfaces_export.h BASE_NAME KDEConnectInterfaces)

add_dependencies(kdeconnectinterfaces
        org.kde.kdeconnect.daemon.xml
        org.kde.kdeconnect.device.xml
        org.kde.kdeconnect.device.battery.xml
        org.kde.kdeconnect.device.sftp.xml
        org.kde.kdeconnect.device.notifications.xml
        org.kde.kdeconnect.device.notifications.notification.xml
)

target_link_libraries(kdeconnectinterfaces
    ${KDE4_KDEUI_LIBS}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${QJSON_LIBRARIES}
)

configure_file(KDEConnectConfig.cmake.in ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfig.cmake @ONLY)

macro_write_basic_cmake_version_file(${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfigVersion.cmake
        ${KDECONNECT_VERSION_MAJOR} ${KDECONNECT_VERSION_MINOR} ${KDECONNECT_VERSION_PATCH})
        
install(TARGETS kdeconnectinterfaces EXPORT kdeconnectLibraryTargets  ${INSTALL_TARGETS_DEFAULT_ARGS})

#Install header files
install(FILES ${libkdeconnect_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/kdeconnect COMPONENT Devel)
install(FILES ${libkdeconnect_public_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/KDEConnect COMPONENT Devel)
install(FILES ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfig.cmake
              ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfigVersion.cmake
        DESTINATION ${LIB_INSTALL_DIR}/cmake/KDEConnect)

=== kcm/CMakeLists.txt ===
--- 
+++ 
@@ -14,14 +14,12 @@
 
 kde4_add_plugin(kcm_kdeconnect ${kcm_SRCS})
 
-add_dependencies(kcm_kdeconnect libkdeconnect)
-
 target_link_libraries(kcm_kdeconnect
     ${QT_QTCORE_LIBRARY}
     ${QT_QTGUI_LIBRARY}
     ${KDE4_KDEUI_LIBRARY}
     ${KDE4_KCMUTILS_LIBS}
-    kdeconnect
+    kdeconnectinterfaces
 )
 
 install(TARGETS kcm_kdeconnect DESTINATION ${PLUGIN_INSTALL_DIR})

=== kio/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
+include_directories(${CMAKE_SOURCE_DIR})
+
 set(kio_kdeconnect_PART_SRCS
    kiokdeconnect.cpp
    kdebugnamespace.cpp)
 
 kde4_add_plugin(kio_kdeconnect ${kio_kdeconnect_PART_SRCS})
-
-add_dependencies(kio_kdeconnect libkdeconnect)
 
 target_link_libraries(kio_kdeconnect
     ${KDE4_KDECORE_LIBS}
@@ -12,7 +12,7 @@
     ${KDE4_KDEUI_LIBRARY}
     ${QT_QTCORE_LIBRARY}
     ${QT_QTGUI_LIBRARY}
-    kdeconnect
+    kdeconnectinterfaces
 )
 
 ########### install files ###############

=== tests/CMakeLists.txt ===
include_directories(
    ${QJSON_INCLUDE_DIR}
    ${QCA2_INCLUDE_DIR}
    ${KDE4_INCLUDES}
    ${KDEConnectCore_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}
)

set(kdeconnect_libraries
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
	${KDE4_KIO_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${QJSON_LIBRARIES}
    ${QCA2_LIBRARIES}
    ${QT_QTTEST_LIBRARY}
    kdeconnectcore
)

#NetworkPackage
kde4_add_unit_test(kdeconnect_tests networkpackagetests.cpp)
target_link_libraries(kdeconnect_tests ${kdeconnect_libraries})

#Socketlinereader
kde4_add_unit_test(testsocketlinereader testsocketlinereader.cpp ../core/backends/lan/socketlinereader.cpp)
target_link_libraries(testsocketlinereader ${kdeconnect_libraries})

=== plasmoid/declarativeplugin/CMakeLists.txt ===
--- 
+++ 
@@ -15,14 +15,13 @@
 qt4_wrap_cpp(kdeconnectdeclarativeplugin_SRC ${kdeconnectdeclarativeplugin_MOC})    
 
 kde4_add_library(kdeconnectdeclarativeplugin SHARED ${kdeconnectdeclarativeplugin_SRC})
-add_dependencies(kdeconnectdeclarativeplugin libkdeconnect)
 target_link_libraries(kdeconnectdeclarativeplugin
     ${KDE4_KDEUI_LIBS}
     ${KDE4_KDECORE_LIBS}
     ${QT_QTCORE_LIBRARY}
     ${QT_QTGUI_LIBRARY}
     ${QT_QTDECLARATIVE_LIBRARY}
-    kdeconnect
+    kdeconnectinterfaces
 )
 install(TARGETS kdeconnectdeclarativeplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/kdeconnect)
 install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/kdeconnect)

=== plugins/sftp/CMakeLists.txt ===
set(kdeconnect_sftp_SRCS
    mounter.cpp
    mountloop.cpp
    sftpplugin.cpp
)

kde4_add_plugin(kdeconnect_sftp ${kdeconnect_sftp_SRCS})

target_link_libraries(kdeconnect_sftp kdeconnectcore ${KDE4_KFILE_LIBS})

install(TARGETS kdeconnect_sftp DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_sftp.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

include(macros)

generate_and_install_dbus_interface(
    kdeconnect_sftp
    sftpplugin.h
    org.kde.kdeconnect.device.sftp.xml
    OPTIONS -a
)

#######################################
# Config

set( kdeconnect_sftp_config_SRCS sftp_config.cpp )
kde4_add_ui_files( kdeconnect_sftp_config_SRCS sftp_config.ui )

kde4_add_plugin( kdeconnect_sftp_config ${kdeconnect_sftp_config_SRCS} )
target_link_libraries( kdeconnect_sftp_config
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
)

install(TARGETS kdeconnect_sftp_config DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_sftp_config.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kdeconnect (0.7.1-0ubuntu3~ubuntu14.04.1~ppa1) trusty; urgency=medium

  * No-change backport to trusty

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Jul 2014 18:46:29 +0200

kdeconnect (0.7.1-0ubuntu3) utopic; urgency=medium

  * Add sshfs to Recommends

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 30 Jun 2014 17:19:04 +0200

kdeconnect (0.7.1-0ubuntu2) utopic; urgency=medium

  * Don't remove .so's from usr/lib/ , they're required for kdeconnect to work

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 30 Jun 2014 16:12:11 +0200

kdeconnect (0.7.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Drop headers from package
  * Add new dep on libxtxt-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 30 Jun 2014 13:46:59 +0200

kdeconnect (0.5.2.1-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1319365)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 15 May 2014 11:20:16 +0200

kdeconnect (0.5.2-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1319365)
  * Drop remove-xdg-open-shebang

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 14 May 2014 14:18:07 +0200

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainer: David Suárez <david.sephirot@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               kdelibs5-dev,
               libqca2-dev,
               libqca2-plugin-ossl,
               libqjson-dev,
               libxtst-dev,
               pkg-kde-tools
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/playground/base/kdeconnect-kde
Vcs-Git: git://github.com/deiv/kdeconnect-pkg.git
Vcs-Browser: https://github.com/deiv/kdeconnect-pkg

Package: kdeconnect
Architecture: any
Depends: libqca2,
         libqca2-plugin-gnupg,
         libqca2-plugin-ossl,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sshfs
Breaks: kdeconnect-kde (<< 0.4.2-2ubuntu2), libkdeconnect1 (<< 0.4.2-2ubuntu2)
Replaces: kdeconnect-kde (<< 0.4.2-2ubuntu2), libkdeconnect1 (<< 0.4.2-2ubuntu2)
Description: connect smartphones to your KDE Plasma Workspace
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.

## This transitional package can be dropped post 14.04

Package: kdeconnect-kde
Architecture: all
Priority: extra
Section: oldlibs
Depends: kdeconnect, ${misc:Depends}
Description: transitional package for kdeconnect-kde
 This is a transitional package for kdeconnect-kde. It can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	# remove '-dev' related files
-	rm debian/tmp/usr/lib/libkdeconnect.so
+	rm -rvf debian/tmp/usr/include/*
 
 .PHONY: override_dh_auto_test

## kdeconnect 0.7.2

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,9 @@
 project(KDEConnectCore)
+
+set(KDECONNECT_VERSION_MAJOR 1)
+set(KDECONNECT_VERSION_MINOR 0)
+set(KDECONNECT_VERSION_PATCH 1)
+set(KDECONNECT_VERSION "${KDECONNECT_VERSION_MAJOR}.${KDECONNECT_VERSION_MINOR}.${KDECONNECT_VERSION_PATCH}")
 
 include_directories(
     ${KDE4_KIO_LIBS}
@@ -23,10 +28,14 @@
     filetransferjob.cpp
     daemon.cpp
     device.cpp
-    kdebugnamespace.cpp
 )
 
 kde4_add_library(kdeconnectcore SHARED ${kded_kdeconnect_SRCS})
+set_target_properties(kdeconnectcore PROPERTIES
+    VERSION ${KDECONNECT_VERSION}
+    SOVERSION ${KDECONNECT_VERSION_MAJOR}
+)
+
 target_link_libraries(kdeconnectcore
 LINK_PUBLIC
     ${KDE4_KDECORE_LIBS}

=== interfaces/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,6 @@
     devicesmodel.cpp
     notificationsmodel.cpp
     modeltest.cpp
-    kdebugnamespace.cpp
 )
 
 set(libkdeconnect_public_HEADERS

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
 add_subdirectory(hu)
 add_subdirectory(de)
 add_subdirectory(ja)
+add_subdirectory(ca)
 add_subdirectory(ko)
 add_subdirectory(es)
 add_subdirectory(pl)
@@ -25,6 +26,7 @@
 add_subdirectory(gl)
 add_subdirectory(nl)
 add_subdirectory(sk)
+add_subdirectory(bg)
 add_subdirectory(cs)
 add_subdirectory(da)
 add_subdirectory(ro)

=== plugins/clipboard/CMakeLists.txt ===
set(kdeconnect_clipboard_SRCS
    clipboardplugin.cpp
)

kde4_add_plugin(kdeconnect_clipboard ${kdeconnect_clipboard_SRCS})

target_link_libraries(kdeconnect_clipboard kdeconnectcore ${QT_QTGUI_LIBRARY})

install(TARGETS kdeconnect_clipboard DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_clipboard.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== plugins/mousepad/CMakeLists.txt ===
set(kdeconnect_mousepad_SRCS
    mousepadplugin.cpp
)

find_package(XTest REQUIRED)
find_package(X11 REQUIRED)

kde4_add_plugin(kdeconnect_mousepad ${kdeconnect_mousepad_SRCS})

include_directories(${XTEST_INCLUDE_DIRS} ${X11_INCLUDE_DIR})

target_link_libraries(kdeconnect_mousepad kdeconnectcore ${QT_QTGUI_LIBRARY} ${X11_LIBRARIES} ${XTEST_LIBRARIES})

install(TARGETS kdeconnect_mousepad DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_mousepad.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kdeconnect (0.7.2-1) unstable; urgency=medium

  * New upstream version.
  * Drop patch 'provide-versioned-so-for-kdeconnectcore'.
      Upstream implemented it.
  * Add sshfs as a runtime dependency (Closes: #754300).
      Is needed to remote browsing the devices filesystems.

 -- David Suárez <david.sephirot@gmail.com>  Mon, 08 Sep 2014 20:27:20 +0200

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: David Suárez <david.sephirot@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               kdelibs5-dev,
               libqca2-dev,
               libqca2-plugin-ossl,
               libqjson-dev,
               libxtst-dev,
               pkg-kde-tools
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/playground/base/kdeconnect-kde
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kdeconnect.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kdeconnect.git;a=summary

Package: kdeconnect
Architecture: any
Depends: libqca2,
         libqca2-plugin-gnupg,
         libqca2-plugin-ossl,
         sshfs,
         ${misc:Depends},
         ${shlibs:Depends}
Description: connect smartphones to your KDE Plasma Workspace
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,9 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	
 	# remove '-dev' related files
-	rm -rvf debian/tmp/usr/include/*
-
-.PHONY: override_dh_auto_test
+	$(RM) debian/kdeconnect/usr/lib/libkdeconnectcore.so
+	$(RM) debian/kdeconnect/usr/lib/libkdeconnectinterfaces.so
+	$(RM) -R debian/kdeconnect/usr/include
+	$(RM) -R debian/kdeconnect/usr/lib/cmake/
